安装wine的问题

为当前最终发行版之前的所有版本提供支持
回复
sruing
帖子: 7
注册时间: 2010-02-24 11:00
送出感谢: 0
接收感谢: 0

安装wine的问题

#1

帖子 sruing » 2010-02-24 11:07

我从官网上下载了一个wine-1.1.39.tar.bz2文件
在./configure的时候提示有错误

如图:
Screenshot.png
Screenshot.png (11.63 KiB) 查看 324 次
我在新力德里没有找到它说的xlib或者xfree86
请问我该怎么做?
JiangHui
论坛版主
帖子: 21303
注册时间: 2007-08-02 20:29
系统: 窓辺とうこ
送出感谢: 0
接收感谢: 13 次

Re: 安装wine的问题

#2

帖子 JiangHui » 2010-02-24 11:09

装源里的
干嘛非要编译
sruing
帖子: 7
注册时间: 2010-02-24 11:00
送出感谢: 0
接收感谢: 0

Re: 安装wine的问题

#3

帖子 sruing » 2010-02-24 11:09

只是想熟悉下ubuntu 请问这个问题该怎么解决?
头像
tenzu
论坛版主
帖子: 36913
注册时间: 2008-11-21 20:26
送出感谢: 0
接收感谢: 21 次

Re: 安装wine的问题

#4

帖子 tenzu » 2010-02-24 11:11

编译环境装了么?
sruing
帖子: 7
注册时间: 2010-02-24 11:00
送出感谢: 0
接收感谢: 0

Re: 安装wine的问题

#5

帖子 sruing » 2010-02-24 11:14

tenzu 写了:编译环境装了么?
sudo apt-get install build-essential?

这个做过了
delectate
帖子: 18311
注册时间: 2008-01-09 22:41
送出感谢: 0
接收感谢: 6 次

Re: 安装wine的问题

#6

帖子 delectate » 2010-02-24 11:16

代码: 全选

# bison
# flex
# gcc
# libc6-dev
# libfontconfig-dev (libfontconfig1-dev)
# libfreetype6-dev
# libgl-dev (libgl1-mesa-dev or xlibmesa-gl-dev)
# libglu-dev (libglu1-mesa-dev or xlibmesa-glu-dev)
# libgphoto2-dev (libgphoto2-2-dev)
# libice-dev
# libjpeg-dev (libjpeg62-dev)
# libldap-dev (libldap2-dev)
# libncurses5-dev
# libpng-dev (libpng12-dev)
# libsm-dev
# libssl-dev
# libusb-dev
# libx11-dev
# libxcomposite-dev
# libxcursor-dev
# libxext-dev
# libxi-dev
# libxinerama-dev
# libxml2-dev
# libxrandr-dev
# libxrender-dev
# libxslt-dev (libxslt1-dev)
# libxt-dev
# libxxf86vm-dev
# make
# x-dev
install all of them above
sruing
帖子: 7
注册时间: 2010-02-24 11:00
送出感谢: 0
接收感谢: 0

Re: 安装wine的问题

#7

帖子 sruing » 2010-02-24 11:18

delectate 写了:

代码: 全选

# bison
# flex
# gcc
# libc6-dev
# libfontconfig-dev (libfontconfig1-dev)
# libfreetype6-dev
# libgl-dev (libgl1-mesa-dev or xlibmesa-gl-dev)
# libglu-dev (libglu1-mesa-dev or xlibmesa-glu-dev)
# libgphoto2-dev (libgphoto2-2-dev)
# libice-dev
# libjpeg-dev (libjpeg62-dev)
# libldap-dev (libldap2-dev)
# libncurses5-dev
# libpng-dev (libpng12-dev)
# libsm-dev
# libssl-dev
# libusb-dev
# libx11-dev
# libxcomposite-dev
# libxcursor-dev
# libxext-dev
# libxi-dev
# libxinerama-dev
# libxml2-dev
# libxrandr-dev
# libxrender-dev
# libxslt-dev (libxslt1-dev)
# libxt-dev
# libxxf86vm-dev
# make
# x-dev
install all of them above
TKS! 我去试试
sruing
帖子: 7
注册时间: 2010-02-24 11:00
送出感谢: 0
接收感谢: 0

Re: 安装wine的问题

#8

帖子 sruing » 2010-02-24 15:10

解决了 谢谢!
roman_tang
帖子: 7
注册时间: 2010-02-25 10:58
送出感谢: 0
接收感谢: 0

Re: 安装wine的问题

#9

帖子 roman_tang » 2010-02-25 23:10

貌似很麻烦!!!
回复

回到 “老旧版本支持”